package com.sv.entity;

import com.fasterxml.jackson.annotation.JsonIgnore;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * Entity - 用户
 *
 * @author zhaoziyu
 * @since 2018-08-01
 */
public class Member implements Serializable {


    /**
     * 
     */
    private Integer id;

    /**
     * 昵称
     */
    private String nickname;

    /**
     * 图像
     */
    private String avatar;

    /**
     * 状态
     *
     * @see com.ydd.framework.core.entity.enums.StatusEnum
     */
    @JsonIgnore
    private Integer status;

    /**
     * 用户公益课黑名单：0正常 1 公益课黑名单
     */
    @JsonIgnore
    private Integer banType;

    /**
     * 邀请码
     */
    private String inviteCode;

    /**
     * 创建者编号
     */
    @JsonIgnore
    private Integer createdId;

    /**
     * 创建者编号
     */
    @JsonIgnore
    private Integer modifiedId;

    /**
     * 手机号
     */
    private String mobile;

    /**
     * 姓名
     */
    private String name;

    /**
     * 0男，1女，2未知
     */
    private Integer sex;

    /**
     * 年龄
     */
    private Integer age;

    /**
     * 居住地
     */
    private String address;

    /**
     * 余额
     */
    private BigDecimal money;

    /**
     * 平台来源ID
     */
    @JsonIgnore
    private Integer platformId;

    /**
     * 创建时间
     */
    @JsonIgnore
    private Date createdTime;

    /**
     * 更新时间
     */
    @JsonIgnore
    private Date modifiedTime;

    /**
     * 删除标识位
     *
     * @see com.ydd.framework.core.entity.enums.DeletedEnum
     */
    @JsonIgnore
    private Integer deleted;



    /**
     * 设置
     *
     * @param id 
     */
    public void setId(Integer id){
        this.id = id;
    }

    /**
     * 获取
     *
     * @return 
     */
    public Integer getId(){
        return id;
    }


    /**
     * 设置昵称
     *
     * @param nickname 昵称
     */
    public void setNickname(String nickname){
        this.nickname = nickname;
    }

    /**
     * 获取昵称
     *
     * @return 昵称
     */
    public String getNickname(){
        return nickname;
    }


    /**
     * 设置图像
     *
     * @param avatar 图像
     */
    public void setAvatar(String avatar){
        this.avatar = avatar;
    }

    /**
     * 获取图像
     *
     * @return 图像
     */
    public String getAvatar(){
        return avatar;
    }


    /**
     * 设置状态
     *
     * @see com.ydd.framework.core.entity.enums.StatusEnum
     * @param status 状态
     */
    public void setStatus(Integer status){
        this.status = status;
    }

    /**
     * 获取状态
     *
     * @see com.ydd.framework.core.entity.enums.StatusEnum
     * @return 状态
     */
    public Integer getStatus(){
        return status;
    }


    /**
     * 设置邀请码
     *
     * @param inviteCode 邀请码
     */
    public void setInviteCode(String inviteCode){
        this.inviteCode = inviteCode;
    }

    /**
     * 获取邀请码
     *
     * @return 邀请码
     */
    public String getInviteCode(){
        return inviteCode;
    }


    /**
     * 设置创建者编号
     *
     * @param createdId 创建者编号
     */
    public void setCreatedId(Integer createdId){
        this.createdId = createdId;
    }

    /**
     * 获取创建者编号
     *
     * @return 创建者编号
     */
    public Integer getCreatedId(){
        return createdId;
    }


    /**
     * 设置创建者编号
     *
     * @param modifiedId 创建者编号
     */
    public void setModifiedId(Integer modifiedId){
        this.modifiedId = modifiedId;
    }

    /**
     * 获取创建者编号
     *
     * @return 创建者编号
     */
    public Integer getModifiedId(){
        return modifiedId;
    }


    /**
     * 设置手机号
     *
     * @param mobile 手机号
     */
    public void setMobile(String mobile){
        this.mobile = mobile;
    }

    /**
     * 获取手机号
     *
     * @return 手机号
     */
    public String getMobile(){
        return mobile;
    }


    /**
     * 设置姓名
     *
     * @param name 姓名
     */
    public void setName(String name){
        this.name = name;
    }

    /**
     * 获取姓名
     *
     * @return 姓名
     */
    public String getName(){
        return name;
    }


    /**
     * 设置0男，1女，2未知
     *
     * @param sex 0男，1女，2未知
     */
    public void setSex(Integer sex){
        this.sex = sex;
    }

    /**
     * 获取0男，1女，2未知
     *
     * @return 0男，1女，2未知
     */
    public Integer getSex(){
        return sex;
    }


    /**
     * 设置年龄
     *
     * @param age 年龄
     */
    public void setAge(Integer age){
        this.age = age;
    }

    /**
     * 获取年龄
     *
     * @return 年龄
     */
    public Integer getAge(){
        return age;
    }


    /**
     * 设置居住地
     *
     * @param address 居住地
     */
    public void setAddress(String address){
        this.address = address;
    }

    /**
     * 获取居住地
     *
     * @return 居住地
     */
    public String getAddress(){
        return address;
    }


    /**
     * 设置余额
     *
     * @param money 余额
     */
    public void setMoney(BigDecimal money){
        this.money = money;
    }

    /**
     * 获取余额
     *
     * @return 余额
     */
    public BigDecimal getMoney(){
        return money;
    }


    /**
     * 设置平台来源ID
     *
     * @param platformId 平台来源ID
     */
    public void setPlatformId(Integer platformId){
        this.platformId = platformId;
    }

    /**
     * 获取平台来源ID
     *
     * @return 平台来源ID
     */
    public Integer getPlatformId(){
        return platformId;
    }


    /**
     * 设置创建时间
     *
     * @param createdTime 创建时间
     */
    public void setCreatedTime(Date createdTime){
        this.createdTime = createdTime;
    }

    /**
     * 获取创建时间
     *
     * @return 创建时间
     */
    public Date getCreatedTime(){
        return createdTime;
    }


    /**
     * 设置更新时间
     *
     * @param modifiedTime 更新时间
     */
    public void setModifiedTime(Date modifiedTime){
        this.modifiedTime = modifiedTime;
    }

    /**
     * 获取更新时间
     *
     * @return 更新时间
     */
    public Date getModifiedTime(){
        return modifiedTime;
    }


    /**
     * 设置删除标识位
     *
     * @see com.ydd.framework.core.entity.enums.DeletedEnum
     * @param deleted 删除标识位
     */
    public void setDeleted(Integer deleted){
        this.deleted = deleted;
    }

    /**
     * 获取删除标识位
     *
     * @see com.ydd.framework.core.entity.enums.DeletedEnum
     * @return 删除标识位
     */
    public Integer getDeleted(){
        return deleted;
    }

    public Integer getBanType() {
        return banType;
    }

    public void setBanType(Integer banType) {
        this.banType = banType;
    }
}